import { ref, computed } from 'vue';
import { usePricelistStore } from '../store';
const store = usePricelistStore();
export const empty_drink_type = {
  id: -1,
  name: '',
};
export const drink_type = ref<FG.DrinkType>(empty_drink_type);
export const filter = ref('');
export function filterFn(val: string, update: any) {
  update(() => {
    filter.value = val;
  });
}
export const options = computed(() =>
  store.drinkTypes.filter(({ name }) => {
    if (filter.value === '') {
      return true;
    }
    return name.toLowerCase().includes(filter.value.toLowerCase());
  })
);
